-- ----------------------------
-- Table structure for DICT - 字典
-- Target   : Oracle
-- Author   : wangbing
-- Date:    : 2020-06-18
-- ----------------------------
CREATE TABLE "SYS_DICT" (
"ID" NUMBER(19) NOT NULL,
"DICT_NAME" VARCHAR2(50) NULL,
"DICT_COMMENT" VARCHAR2(50) NULL,
"VERSION" VARCHAR2(50) NULL,
"VALID" CHAR(1) NULL,
"ROW_VERSION" NUMBER(19) NOT NULL,
"IS_DELETED" CHAR(1) NOT NULL,
"CREATE_BY" NUMBER(19) NOT NULL,
"CREATE_TIME" DATE NOT NULL,
"LAST_UPDATE_BY" NUMBER(19) NULL,
"LAST_UPDATE_TIME" DATE NULL
);
COMMENT ON TABLE "SYS_DICT" is '字典';
COMMENT ON COLUMN "SYS_DICT"."ID" is '主键';
COMMENT ON COLUMN "SYS_DICT"."DICT_NAME" is '字典名称';
COMMENT ON COLUMN "SYS_DICT"."DICT_COMMENT" is '字典描述';
COMMENT ON COLUMN "SYS_DICT"."VERSION" is '字典版本';
COMMENT ON COLUMN "SYS_DICT"."VALID" is '是否有效';
COMMENT ON COLUMN "SYS_DICT"."ROW_VERSION" is '行版本';
COMMENT ON COLUMN "SYS_DICT"."IS_DELETED" is '是否已删除';
COMMENT ON COLUMN "SYS_DICT"."CREATE_BY" is '创建用户';
COMMENT ON COLUMN "SYS_DICT"."CREATE_TIME" is '创建时间';
COMMENT ON COLUMN "SYS_DICT"."LAST_UPDATE_BY" is '最后更新用户';
COMMENT ON COLUMN "SYS_DICT"."LAST_UPDATE_TIME" is '最后更新时间';

-- ----------------------------
-- Table structure for DICT_ITEM - 字典项
-- Target   : Oracle
-- Author   : wangbing
-- Date:    : 2020-06-18
-- ----------------------------
CREATE TABLE "SYS_DICT_ITEM" (
"ID" NUMBER(19) NOT NULL,
"DICT_NAME" VARCHAR2(50) NULL,
"KEY" VARCHAR2(20) NULL,
"VALUE" VARCHAR2(50) NULL,
"SORT" NUMBER(10) NULL,
"VALID" CHAR(1) NULL,
"ROW_VERSION" NUMBER(19) NOT NULL,
"IS_DELETED" CHAR(1) NOT NULL,
"CREATE_BY" NUMBER(19) NOT NULL,
"CREATE_TIME" DATE NOT NULL,
"LAST_UPDATE_BY" NUMBER(19) NULL,
"LAST_UPDATE_TIME" DATE NULL
);
COMMENT ON TABLE "SYS_DICT_ITEM" is '字典项';
COMMENT ON COLUMN "SYS_DICT_ITEM"."ID" is '主键';
COMMENT ON COLUMN "SYS_DICT_ITEM"."DICT_NAME" is '字典名称';
COMMENT ON COLUMN "SYS_DICT_ITEM"."KEY" is '字典键';
COMMENT ON COLUMN "SYS_DICT_ITEM"."VALUE" is '字典值';
COMMENT ON COLUMN "SYS_DICT_ITEM"."SORT" is '排序';
COMMENT ON COLUMN "SYS_DICT_ITEM"."VALID" is '是否有效';
COMMENT ON COLUMN "SYS_DICT_ITEM"."ROW_VERSION" is '行版本';
COMMENT ON COLUMN "SYS_DICT_ITEM"."IS_DELETED" is '是否已删除';
COMMENT ON COLUMN "SYS_DICT_ITEM"."CREATE_BY" is '创建用户';
COMMENT ON COLUMN "SYS_DICT_ITEM"."CREATE_TIME" is '创建时间';
COMMENT ON COLUMN "SYS_DICT_ITEM"."LAST_UPDATE_BY" is '最后更新用户';
COMMENT ON COLUMN "SYS_DICT_ITEM"."LAST_UPDATE_TIME" is '最后更新时间';

-- ----------------------------
-- Table structure for RES - 资源
-- Target   : Oracle
-- Author   : wangbing
-- Date:    : 2020-06-18
-- ----------------------------
CREATE TABLE "SYS_RES" (
"ID" NUMBER(19) NOT NULL,
"RES_CODE" VARCHAR2(50) NULL,
"RES_NAME" VARCHAR2(50) NULL,
"RES_TYPE" VARCHAR(20) NULL,
"RES_VALUE" VARCHAR2(250) NULL,
"SUP_CODE" VARCHAR2(50) NULL,
"SUP_NAME" VARCHAR2(50) NULL,
"FREE" CHAR(1) NULL,
"VALID" CHAR(1) NULL,
"ROW_VERSION" NUMBER(19) NOT NULL,
"IS_DELETED" CHAR(1) NOT NULL,
"CREATE_BY" NUMBER(19) NOT NULL,
"CREATE_TIME" DATE NOT NULL,
"LAST_UPDATE_BY" NUMBER(19) NULL,
"LAST_UPDATE_TIME" DATE NULL
);
COMMENT ON TABLE "SYS_RES" is '资源';
COMMENT ON COLUMN "SYS_RES"."ID" is '主键';
COMMENT ON COLUMN "SYS_RES"."RES_CODE" is '资源代码';
COMMENT ON COLUMN "SYS_RES"."RES_NAME" is '资源名称';
COMMENT ON COLUMN "SYS_RES"."RES_TYPE" is '资源类型';
COMMENT ON COLUMN "SYS_RES"."RES_VALUE" is '资源内容';
COMMENT ON COLUMN "SYS_RES"."SUP_CODE" is '上级代码';
COMMENT ON COLUMN "SYS_RES"."SUP_NAME" is '上级名称';
COMMENT ON COLUMN "SYS_RES"."FREE" is '是否免费';
COMMENT ON COLUMN "SYS_RES"."VALID" is '是否有效';
COMMENT ON COLUMN "SYS_RES"."ROW_VERSION" is '行版本';
COMMENT ON COLUMN "SYS_RES"."IS_DELETED" is '是否已删除';
COMMENT ON COLUMN "SYS_RES"."CREATE_BY" is '创建用户';
COMMENT ON COLUMN "SYS_RES"."CREATE_TIME" is '创建时间';
COMMENT ON COLUMN "SYS_RES"."LAST_UPDATE_BY" is '最后更新用户';
COMMENT ON COLUMN "SYS_RES"."LAST_UPDATE_TIME" is '最后更新时间';

-- ----------------------------
-- Table structure for USER - 用户
-- Target   : Oracle
-- Author   : wangbing
-- Date:    : 2020-06-18
-- ----------------------------
CREATE TABLE "SYS_USER" (
"ID" NUMBER(19) NOT NULL,
"USER_NAME" VARCHAR2(100) NULL,
"USER_CODE" VARCHAR2(50) NULL,
"USER_ALIAS" VARCHAR2(50) NULL,
"USER_PWD" VARCHAR2(50) NULL,
"USER_STATUS" VARCHAR(20) NULL,
"DEPT_ID" NUMBER(19) NULL,
"DEPT_CODE" VARCHAR2(50) NULL,
"DEPT_NAME" VARCHAR2(100) NULL,
"ROW_VERSION" NUMBER(19) NOT NULL,
"IS_DELETED" CHAR(1) NOT NULL,
"CREATE_BY" NUMBER(19) NOT NULL,
"CREATE_TIME" DATE NOT NULL,
"LAST_UPDATE_BY" NUMBER(19) NULL,
"LAST_UPDATE_TIME" DATE NULL
);
COMMENT ON TABLE "SYS_USER" is '用户';
COMMENT ON COLUMN "SYS_USER"."ID" is '主键';
COMMENT ON COLUMN "SYS_USER"."USER_NAME" is '用户账户';
COMMENT ON COLUMN "SYS_USER"."USER_CODE" is '用户代码';
COMMENT ON COLUMN "SYS_USER"."USER_ALIAS" is '用户别名';
COMMENT ON COLUMN "SYS_USER"."USER_PWD" is '用户密码';
COMMENT ON COLUMN "SYS_USER"."USER_STATUS" is '用户状态';
COMMENT ON COLUMN "SYS_USER"."DEPT_ID" is '部门主键';
COMMENT ON COLUMN "SYS_USER"."DEPT_CODE" is '部门代码';
COMMENT ON COLUMN "SYS_USER"."DEPT_NAME" is '部门名称';
COMMENT ON COLUMN "SYS_USER"."ROW_VERSION" is '行版本';
COMMENT ON COLUMN "SYS_USER"."IS_DELETED" is '是否已删除';
COMMENT ON COLUMN "SYS_USER"."CREATE_BY" is '创建用户';
COMMENT ON COLUMN "SYS_USER"."CREATE_TIME" is '创建时间';
COMMENT ON COLUMN "SYS_USER"."LAST_UPDATE_BY" is '最后更新用户';
COMMENT ON COLUMN "SYS_USER"."LAST_UPDATE_TIME" is '最后更新时间';

-- ----------------------------
-- Table structure for DEPT - 部门
-- Target   : Oracle
-- Author   : wangbing
-- Date:    : 2020-06-18
-- ----------------------------
CREATE TABLE "SYS_DEPT" (
"ID" NUMBER(19) NOT NULL,
"DEPT_CODE" VARCHAR2(50) NULL,
"DEPT_NAME" VARCHAR2(100) NULL,
"DEPT_ALIAS" VARCHAR2(50) NULL,
"SUP_CODE" VARCHAR2(50) NULL,
"SUP_NAME" VARCHAR2(100) NULL,
"VALID" CHAR(1) NULL,
"ROW_VERSION" NUMBER(19) NOT NULL,
"IS_DELETED" CHAR(1) NOT NULL,
"CREATE_BY" NUMBER(19) NOT NULL,
"CREATE_TIME" DATE NOT NULL,
"LAST_UPDATE_BY" NUMBER(19) NULL,
"LAST_UPDATE_TIME" DATE NULL
);
COMMENT ON TABLE "SYS_DEPT" is '部门';
COMMENT ON COLUMN "SYS_DEPT"."ID" is '主键';
COMMENT ON COLUMN "SYS_DEPT"."DEPT_CODE" is '部门代码';
COMMENT ON COLUMN "SYS_DEPT"."DEPT_NAME" is '部门名称';
COMMENT ON COLUMN "SYS_DEPT"."DEPT_ALIAS" is '部门别名';
COMMENT ON COLUMN "SYS_DEPT"."SUP_CODE" is '上级代码';
COMMENT ON COLUMN "SYS_DEPT"."SUP_NAME" is '上级名称';
COMMENT ON COLUMN "SYS_DEPT"."VALID" is '是否有效';
COMMENT ON COLUMN "SYS_DEPT"."ROW_VERSION" is '行版本';
COMMENT ON COLUMN "SYS_DEPT"."IS_DELETED" is '是否已删除';
COMMENT ON COLUMN "SYS_DEPT"."CREATE_BY" is '创建用户';
COMMENT ON COLUMN "SYS_DEPT"."CREATE_TIME" is '创建时间';
COMMENT ON COLUMN "SYS_DEPT"."LAST_UPDATE_BY" is '最后更新用户';
COMMENT ON COLUMN "SYS_DEPT"."LAST_UPDATE_TIME" is '最后更新时间';

-- ----------------------------
-- Table structure for ROLE - 角色
-- Target   : Oracle
-- Author   : wangbing
-- Date:    : 2020-06-18
-- ----------------------------
CREATE TABLE "SYS_ROLE" (
"ID" NUMBER(19) NOT NULL,
"CODE" VARCHAR2(50) NULL,
"NAME" VARCHAR2(50) NULL,
"COMMENT" VARCHAR2(50) NULL,
"ROW_VERSION" NUMBER(19) NOT NULL,
"IS_DELETED" CHAR(1) NOT NULL,
"CREATE_BY" NUMBER(19) NOT NULL,
"CREATE_TIME" DATE NOT NULL,
"LAST_UPDATE_BY" NUMBER(19) NULL,
"LAST_UPDATE_TIME" DATE NULL
);
COMMENT ON TABLE "SYS_ROLE" is '角色';
COMMENT ON COLUMN "SYS_ROLE"."ID" is '主键';
COMMENT ON COLUMN "SYS_ROLE"."CODE" is '角色代码';
COMMENT ON COLUMN "SYS_ROLE"."NAME" is '角色名称';
COMMENT ON COLUMN "SYS_ROLE"."COMMENT" is '角色描述';
COMMENT ON COLUMN "SYS_ROLE"."ROW_VERSION" is '行版本';
COMMENT ON COLUMN "SYS_ROLE"."IS_DELETED" is '是否已删除';
COMMENT ON COLUMN "SYS_ROLE"."CREATE_BY" is '创建用户';
COMMENT ON COLUMN "SYS_ROLE"."CREATE_TIME" is '创建时间';
COMMENT ON COLUMN "SYS_ROLE"."LAST_UPDATE_BY" is '最后更新用户';
COMMENT ON COLUMN "SYS_ROLE"."LAST_UPDATE_TIME" is '最后更新时间';

-- ----------------------------
-- Table structure for TOKENS - 通行证
-- Target   : Oracle
-- Author   : wangbing
-- Date:    : 2020-06-18
-- ----------------------------
CREATE TABLE "SYS_TOKENS" (
"ID" NUMBER(19) NOT NULL,
"TOKEN" VARCHAR2(50) NULL,
"USER_ID" NUMBER(19) NULL,
"USER_NAME" VARCHAR2(50) NULL,
"LOGIN_TIME" DATE NULL,
"VALID_TIME" DATE NULL,
"VALID" CHAR(1) NULL,
"DEPT_ID" NUMBER(19) NULL,
"DEPT_CODE" VARCHAR2(50) NULL,
"DEPT_NAME" VARCHAR2(100) NULL,
"TERMINAL_TYPE" VARCHAR(20) NULL,
"TERMINAL_IP" VARCHAR2(50) NULL,
"TERMINAL_INFO" VARCHAR2(500) NULL,
"ROW_VERSION" NUMBER(19) NOT NULL,
"IS_DELETED" CHAR(1) NOT NULL,
"CREATE_BY" NUMBER(19) NOT NULL,
"CREATE_TIME" DATE NOT NULL,
"LAST_UPDATE_BY" NUMBER(19) NULL,
"LAST_UPDATE_TIME" DATE NULL
);
COMMENT ON TABLE "SYS_TOKENS" is '通行证';
COMMENT ON COLUMN "SYS_TOKENS"."ID" is '主键';
COMMENT ON COLUMN "SYS_TOKENS"."TOKEN" is '登录令牌';
COMMENT ON COLUMN "SYS_TOKENS"."USER_ID" is '用户主键';
COMMENT ON COLUMN "SYS_TOKENS"."USER_NAME" is '用户名称';
COMMENT ON COLUMN "SYS_TOKENS"."LOGIN_TIME" is '登录时间';
COMMENT ON COLUMN "SYS_TOKENS"."VALID_TIME" is '有效时间';
COMMENT ON COLUMN "SYS_TOKENS"."VALID" is '是否有效';
COMMENT ON COLUMN "SYS_TOKENS"."DEPT_ID" is '部门主键';
COMMENT ON COLUMN "SYS_TOKENS"."DEPT_CODE" is '部门代码';
COMMENT ON COLUMN "SYS_TOKENS"."DEPT_NAME" is '部门名称';
COMMENT ON COLUMN "SYS_TOKENS"."TERMINAL_TYPE" is '终端类型';
COMMENT ON COLUMN "SYS_TOKENS"."TERMINAL_IP" is '终端地址';
COMMENT ON COLUMN "SYS_TOKENS"."TERMINAL_INFO" is '终端信息';
COMMENT ON COLUMN "SYS_TOKENS"."ROW_VERSION" is '行版本';
COMMENT ON COLUMN "SYS_TOKENS"."IS_DELETED" is '是否已删除';
COMMENT ON COLUMN "SYS_TOKENS"."CREATE_BY" is '创建用户';
COMMENT ON COLUMN "SYS_TOKENS"."CREATE_TIME" is '创建时间';
COMMENT ON COLUMN "SYS_TOKENS"."LAST_UPDATE_BY" is '最后更新用户';
COMMENT ON COLUMN "SYS_TOKENS"."LAST_UPDATE_TIME" is '最后更新时间';

-- ----------------------------
-- Table structure for FILE - 文件
-- Target   : Oracle
-- Author   : wangbing
-- Date:    : 2020-06-18
-- ----------------------------
CREATE TABLE "SYS_FILE" (
"ID" NUMBER(19) NOT NULL,
"NAME" VARCHAR2(250) NULL,
"FILE_TYPE" VARCHAR(20) NULL,
"ATTRIBUTE1" VARCHAR2(50) NULL,
"ATTRIBUTE2" VARCHAR2(50) NULL,
"LOCATION" VARCHAR2(500) NULL,
"URL" VARCHAR2(500) NULL,
"URL_DOWNLOAD" VARCHAR2(500) NULL,
"ROW_VERSION" NUMBER(19) NOT NULL,
"IS_DELETED" CHAR(1) NOT NULL,
"CREATE_BY" NUMBER(19) NOT NULL,
"CREATE_TIME" DATE NOT NULL,
"LAST_UPDATE_BY" NUMBER(19) NULL,
"LAST_UPDATE_TIME" DATE NULL
);
COMMENT ON TABLE "SYS_FILE" is '文件';
COMMENT ON COLUMN "SYS_FILE"."ID" is '主键';
COMMENT ON COLUMN "SYS_FILE"."NAME" is '文件名称';
COMMENT ON COLUMN "SYS_FILE"."FILE_TYPE" is '文件类型';
COMMENT ON COLUMN "SYS_FILE"."ATTRIBUTE1" is '扩展属性1';
COMMENT ON COLUMN "SYS_FILE"."ATTRIBUTE2" is '扩展属性2';
COMMENT ON COLUMN "SYS_FILE"."LOCATION" is '存放地址';
COMMENT ON COLUMN "SYS_FILE"."URL" is '访问地址';
COMMENT ON COLUMN "SYS_FILE"."URL_DOWNLOAD" is '下载地址';
COMMENT ON COLUMN "SYS_FILE"."ROW_VERSION" is '行版本';
COMMENT ON COLUMN "SYS_FILE"."IS_DELETED" is '是否已删除';
COMMENT ON COLUMN "SYS_FILE"."CREATE_BY" is '创建用户';
COMMENT ON COLUMN "SYS_FILE"."CREATE_TIME" is '创建时间';
COMMENT ON COLUMN "SYS_FILE"."LAST_UPDATE_BY" is '最后更新用户';
COMMENT ON COLUMN "SYS_FILE"."LAST_UPDATE_TIME" is '最后更新时间';

-- ----------------------------
-- Table structure for USER_ROLE - 用户角色授权
-- Target   : Oracle
-- Author   : wangbing
-- Date:    : 2020-06-18
-- ----------------------------
CREATE TABLE "SYS_USER_ROLE" (
"ID" NUMBER(19) NOT NULL,
"USER_ID" NUMBER(19) NULL,
"USER_CODE" VARCHAR2(50) NULL,
"ROLE_ID" NUMBER(19) NULL,
"ROLE_CODE" VARCHAR2(50) NULL,
"ROW_VERSION" NUMBER(19) NOT NULL,
"IS_DELETED" CHAR(1) NOT NULL,
"CREATE_BY" NUMBER(19) NOT NULL,
"CREATE_TIME" DATE NOT NULL,
"LAST_UPDATE_BY" NUMBER(19) NULL,
"LAST_UPDATE_TIME" DATE NULL
);
COMMENT ON TABLE "SYS_USER_ROLE" is '用户角色授权';
COMMENT ON COLUMN "SYS_USER_ROLE"."ID" is '主键';
COMMENT ON COLUMN "SYS_USER_ROLE"."USER_ID" is '用户主键';
COMMENT ON COLUMN "SYS_USER_ROLE"."USER_CODE" is '用户代码';
COMMENT ON COLUMN "SYS_USER_ROLE"."ROLE_ID" is '角色主键';
COMMENT ON COLUMN "SYS_USER_ROLE"."ROLE_CODE" is '角色代码';
COMMENT ON COLUMN "SYS_USER_ROLE"."ROW_VERSION" is '行版本';
COMMENT ON COLUMN "SYS_USER_ROLE"."IS_DELETED" is '是否已删除';
COMMENT ON COLUMN "SYS_USER_ROLE"."CREATE_BY" is '创建用户';
COMMENT ON COLUMN "SYS_USER_ROLE"."CREATE_TIME" is '创建时间';
COMMENT ON COLUMN "SYS_USER_ROLE"."LAST_UPDATE_BY" is '最后更新用户';
COMMENT ON COLUMN "SYS_USER_ROLE"."LAST_UPDATE_TIME" is '最后更新时间';

-- ----------------------------
-- Table structure for ROLE_RES - 角色资源关系
-- Target   : Oracle
-- Author   : wangbing
-- Date:    : 2020-06-18
-- ----------------------------
CREATE TABLE "SYS_ROLE_RES" (
"ID" NUMBER(19) NOT NULL,
"ROLE_ID" NUMBER(19) NULL,
"ROLE_CODE" VARCHAR2(50) NULL,
"RES_ID" NUMBER(19) NULL,
"RES_CODE" VARCHAR2(50) NULL,
"ROW_VERSION" NUMBER(19) NOT NULL,
"IS_DELETED" CHAR(1) NOT NULL,
"CREATE_BY" NUMBER(19) NOT NULL,
"CREATE_TIME" DATE NOT NULL,
"LAST_UPDATE_BY" NUMBER(19) NULL,
"LAST_UPDATE_TIME" DATE NULL
);
COMMENT ON TABLE "SYS_ROLE_RES" is '角色资源关系';
COMMENT ON COLUMN "SYS_ROLE_RES"."ID" is '主键';
COMMENT ON COLUMN "SYS_ROLE_RES"."ROLE_ID" is '角色主键';
COMMENT ON COLUMN "SYS_ROLE_RES"."ROLE_CODE" is '角色代码';
COMMENT ON COLUMN "SYS_ROLE_RES"."RES_ID" is '资源主键';
COMMENT ON COLUMN "SYS_ROLE_RES"."RES_CODE" is '资源代码';
COMMENT ON COLUMN "SYS_ROLE_RES"."ROW_VERSION" is '行版本';
COMMENT ON COLUMN "SYS_ROLE_RES"."IS_DELETED" is '是否已删除';
COMMENT ON COLUMN "SYS_ROLE_RES"."CREATE_BY" is '创建用户';
COMMENT ON COLUMN "SYS_ROLE_RES"."CREATE_TIME" is '创建时间';
COMMENT ON COLUMN "SYS_ROLE_RES"."LAST_UPDATE_BY" is '最后更新用户';
COMMENT ON COLUMN "SYS_ROLE_RES"."LAST_UPDATE_TIME" is '最后更新时间';

-- ----------------------------
-- Table structure for LOG_ERR - 错误日志
-- Target   : Oracle
-- Author   : wangbing
-- Date:    : 2020-06-18
-- ----------------------------
CREATE TABLE "SYS_LOG_ERR" (
"ID" NUMBER(19) NOT NULL,
"LOG_ERR_TYPE" VARCHAR(20) NULL,
"LOG_TITLE" VARCHAR2(50) NULL,
"LOG_NOTE" LONG NULL,
"LOG_ERR_RESULT" VARCHAR(20) NULL,
"LOG_ATTR1" VARCHAR2(50) NULL,
"LOG_ATTR2" VARCHAR2(50) NULL,
"LOG_ATTR3" VARCHAR2(50) NULL,
"ROW_VERSION" NUMBER(19) NOT NULL,
"IS_DELETED" CHAR(1) NOT NULL,
"CREATE_BY" NUMBER(19) NOT NULL,
"CREATE_TIME" DATE NOT NULL,
"LAST_UPDATE_BY" NUMBER(19) NULL,
"LAST_UPDATE_TIME" DATE NULL
);
COMMENT ON TABLE "SYS_LOG_ERR" is '错误日志';
COMMENT ON COLUMN "SYS_LOG_ERR"."ID" is '主键';
COMMENT ON COLUMN "SYS_LOG_ERR"."LOG_ERR_TYPE" is '错误类型';
COMMENT ON COLUMN "SYS_LOG_ERR"."LOG_TITLE" is '日志标题';
COMMENT ON COLUMN "SYS_LOG_ERR"."LOG_NOTE" is '日志内容';
COMMENT ON COLUMN "SYS_LOG_ERR"."LOG_ERR_RESULT" is '处理结果';
COMMENT ON COLUMN "SYS_LOG_ERR"."LOG_ATTR1" is '属性1';
COMMENT ON COLUMN "SYS_LOG_ERR"."LOG_ATTR2" is '属性2';
COMMENT ON COLUMN "SYS_LOG_ERR"."LOG_ATTR3" is '属性3';
COMMENT ON COLUMN "SYS_LOG_ERR"."ROW_VERSION" is '行版本';
COMMENT ON COLUMN "SYS_LOG_ERR"."IS_DELETED" is '是否已删除';
COMMENT ON COLUMN "SYS_LOG_ERR"."CREATE_BY" is '创建用户';
COMMENT ON COLUMN "SYS_LOG_ERR"."CREATE_TIME" is '创建时间';
COMMENT ON COLUMN "SYS_LOG_ERR"."LAST_UPDATE_BY" is '最后更新用户';
COMMENT ON COLUMN "SYS_LOG_ERR"."LAST_UPDATE_TIME" is '最后更新时间';

-- ----------------------------
-- Table structure for TASK_SQL - SQL任务
-- Target   : Oracle
-- Author   : wangbing
-- Date:    : 2020-06-18
-- ----------------------------
CREATE TABLE "SYS_TASK_SQL" (
"ID" NUMBER(19) NOT NULL,
"TASK_NAME" VARCHAR2(50) NULL,
"TASK_NOTE" VARCHAR2(250) NULL,
"TASK_TYPE" VARCHAR(20) NULL,
"TYPE_VALUE" VARCHAR2(50) NULL,
"TASK_SQL" VARCHAR2(2500) NULL,
"VALID" CHAR(1) NULL,
"ROW_VERSION" NUMBER(19) NOT NULL,
"IS_DELETED" CHAR(1) NOT NULL,
"CREATE_BY" NUMBER(19) NOT NULL,
"CREATE_TIME" DATE NOT NULL,
"LAST_UPDATE_BY" NUMBER(19) NULL,
"LAST_UPDATE_TIME" DATE NULL
);
COMMENT ON TABLE "SYS_TASK_SQL" is 'SQL任务';
COMMENT ON COLUMN "SYS_TASK_SQL"."ID" is '主键';
COMMENT ON COLUMN "SYS_TASK_SQL"."TASK_NAME" is '任务名称';
COMMENT ON COLUMN "SYS_TASK_SQL"."TASK_NOTE" is '详细注释';
COMMENT ON COLUMN "SYS_TASK_SQL"."TASK_TYPE" is '任务类型';
COMMENT ON COLUMN "SYS_TASK_SQL"."TYPE_VALUE" is '任务类型值';
COMMENT ON COLUMN "SYS_TASK_SQL"."TASK_SQL" is '任务SQL';
COMMENT ON COLUMN "SYS_TASK_SQL"."VALID" is '是否有效';
COMMENT ON COLUMN "SYS_TASK_SQL"."ROW_VERSION" is '行版本';
COMMENT ON COLUMN "SYS_TASK_SQL"."IS_DELETED" is '是否已删除';
COMMENT ON COLUMN "SYS_TASK_SQL"."CREATE_BY" is '创建用户';
COMMENT ON COLUMN "SYS_TASK_SQL"."CREATE_TIME" is '创建时间';
COMMENT ON COLUMN "SYS_TASK_SQL"."LAST_UPDATE_BY" is '最后更新用户';
COMMENT ON COLUMN "SYS_TASK_SQL"."LAST_UPDATE_TIME" is '最后更新时间';

-- ----------------------------
-- Table structure for PROFILES - 系统配置
-- Target   : Oracle
-- Author   : wangbing
-- Date:    : 2020-06-18
-- ----------------------------
CREATE TABLE "SYS_PROFILES" (
"ID" NUMBER(19) NOT NULL,
"ACTIVE" VARCHAR(20) NULL,
"KEY" VARCHAR2(50) NULL,
"VALUE" VARCHAR2(50) NULL,
"ROW_VERSION" NUMBER(19) NOT NULL,
"IS_DELETED" CHAR(1) NOT NULL,
"CREATE_BY" NUMBER(19) NOT NULL,
"CREATE_TIME" DATE NOT NULL,
"LAST_UPDATE_BY" NUMBER(19) NULL,
"LAST_UPDATE_TIME" DATE NULL
);
COMMENT ON TABLE "SYS_PROFILES" is '系统配置';
COMMENT ON COLUMN "SYS_PROFILES"."ID" is '主键';
COMMENT ON COLUMN "SYS_PROFILES"."ACTIVE" is '环境';
COMMENT ON COLUMN "SYS_PROFILES"."KEY" is '键';
COMMENT ON COLUMN "SYS_PROFILES"."VALUE" is '值';
COMMENT ON COLUMN "SYS_PROFILES"."ROW_VERSION" is '行版本';
COMMENT ON COLUMN "SYS_PROFILES"."IS_DELETED" is '是否已删除';
COMMENT ON COLUMN "SYS_PROFILES"."CREATE_BY" is '创建用户';
COMMENT ON COLUMN "SYS_PROFILES"."CREATE_TIME" is '创建时间';
COMMENT ON COLUMN "SYS_PROFILES"."LAST_UPDATE_BY" is '最后更新用户';
COMMENT ON COLUMN "SYS_PROFILES"."LAST_UPDATE_TIME" is '最后更新时间';

-- ----------------------------
-- Table structure for DEVELOPER - 开发商
-- Target   : Oracle
-- Author   : wangbing
-- Date:    : 2020-06-18
-- ----------------------------
CREATE TABLE "SYS_DEVELOPER" (
"ID" NUMBER(19) NOT NULL,
"NAME" VARCHAR2(50) NULL,
"NOTE" VARCHAR2(250) NULL,
"APP_KEY" VARCHAR2(50) NULL,
"APP_SECRET" VARCHAR2(16) NULL,
"VALID" CHAR(1) NULL,
"ROW_VERSION" NUMBER(19) NOT NULL,
"IS_DELETED" CHAR(1) NOT NULL,
"CREATE_BY" NUMBER(19) NOT NULL,
"CREATE_TIME" DATE NOT NULL,
"LAST_UPDATE_BY" NUMBER(19) NULL,
"LAST_UPDATE_TIME" DATE NULL
);
COMMENT ON TABLE "SYS_DEVELOPER" is '开发商';
COMMENT ON COLUMN "SYS_DEVELOPER"."ID" is '主键';
COMMENT ON COLUMN "SYS_DEVELOPER"."NAME" is '公司名称';
COMMENT ON COLUMN "SYS_DEVELOPER"."NOTE" is '公司简介';
COMMENT ON COLUMN "SYS_DEVELOPER"."APP_KEY" is '应用码';
COMMENT ON COLUMN "SYS_DEVELOPER"."APP_SECRET" is '安全码';
COMMENT ON COLUMN "SYS_DEVELOPER"."VALID" is '是否有效';
COMMENT ON COLUMN "SYS_DEVELOPER"."ROW_VERSION" is '行版本';
COMMENT ON COLUMN "SYS_DEVELOPER"."IS_DELETED" is '是否已删除';
COMMENT ON COLUMN "SYS_DEVELOPER"."CREATE_BY" is '创建用户';
COMMENT ON COLUMN "SYS_DEVELOPER"."CREATE_TIME" is '创建时间';
COMMENT ON COLUMN "SYS_DEVELOPER"."LAST_UPDATE_BY" is '最后更新用户';
COMMENT ON COLUMN "SYS_DEVELOPER"."LAST_UPDATE_TIME" is '最后更新时间';

