-- ----------------------------
-- Table structure for LOG_ERR - 错误日志
-- Target   : Oracle
-- Author   : wangbing
-- Date:    : 2020-06-18
-- ----------------------------
CREATE TABLE "SYS_LOG_ERR" (
    "ID" NUMBER(19) NOT NULL,
    "LOG_ERR_TYPE" VARCHAR(20) NULL,
    "LOG_TITLE" VARCHAR2(50) NULL,
    "LOG_NOTE" LONG NULL,
    "LOG_ERR_RESULT" VARCHAR(20) NULL,
    "LOG_ATTR1" VARCHAR2(50) NULL,
    "LOG_ATTR2" VARCHAR2(50) NULL,
    "LOG_ATTR3" VARCHAR2(50) NULL,
    "ROW_VERSION" NUMBER(19) NOT NULL,
    "IS_DELETED" CHAR(1) NOT NULL,
    "CREATE_BY" NUMBER(19) NOT NULL,
    "CREATE_TIME" DATE NOT NULL,
    "LAST_UPDATE_BY" NUMBER(19) NULL,
    "LAST_UPDATE_TIME" DATE NULL
);

COMMENT ON TABLE "SYS_LOG_ERR" is '错误日志';
COMMENT ON COLUMN "SYS_LOG_ERR"."ID" is '主键';
COMMENT ON COLUMN "SYS_LOG_ERR"."LOG_ERR_TYPE" is '错误类型';
COMMENT ON COLUMN "SYS_LOG_ERR"."LOG_TITLE" is '日志标题';
COMMENT ON COLUMN "SYS_LOG_ERR"."LOG_NOTE" is '日志内容';
COMMENT ON COLUMN "SYS_LOG_ERR"."LOG_ERR_RESULT" is '处理结果';
COMMENT ON COLUMN "SYS_LOG_ERR"."LOG_ATTR1" is '属性1';
COMMENT ON COLUMN "SYS_LOG_ERR"."LOG_ATTR2" is '属性2';
COMMENT ON COLUMN "SYS_LOG_ERR"."LOG_ATTR3" is '属性3';
COMMENT ON COLUMN "SYS_LOG_ERR"."ROW_VERSION" is '行版本';
COMMENT ON COLUMN "SYS_LOG_ERR"."IS_DELETED" is '是否已删除';
COMMENT ON COLUMN "SYS_LOG_ERR"."CREATE_BY" is '创建用户';
COMMENT ON COLUMN "SYS_LOG_ERR"."CREATE_TIME" is '创建时间';
COMMENT ON COLUMN "SYS_LOG_ERR"."LAST_UPDATE_BY" is '最后更新用户';
COMMENT ON COLUMN "SYS_LOG_ERR"."LAST_UPDATE_TIME" is '最后更新时间';
