-- ----------------------------
-- Table structure for RES - 资源
-- Target   : Oracle
-- Author   : wangbing
-- Date:    : 2020-06-18
-- ----------------------------
CREATE TABLE "SYS_RES" (
    "ID" NUMBER(19) NOT NULL,
    "RES_CODE" VARCHAR2(50) NULL,
    "RES_NAME" VARCHAR2(50) NULL,
    "RES_TYPE" VARCHAR(20) NULL,
    "RES_VALUE" VARCHAR2(250) NULL,
    "SUP_CODE" VARCHAR2(50) NULL,
    "SUP_NAME" VARCHAR2(50) NULL,
    "FREE" CHAR(1) NULL,
    "VALID" CHAR(1) NULL,
    "ROW_VERSION" NUMBER(19) NOT NULL,
    "IS_DELETED" CHAR(1) NOT NULL,
    "CREATE_BY" NUMBER(19) NOT NULL,
    "CREATE_TIME" DATE NOT NULL,
    "LAST_UPDATE_BY" NUMBER(19) NULL,
    "LAST_UPDATE_TIME" DATE NULL
);

COMMENT ON TABLE "SYS_RES" is '资源';
COMMENT ON COLUMN "SYS_RES"."ID" is '主键';
COMMENT ON COLUMN "SYS_RES"."RES_CODE" is '资源代码';
COMMENT ON COLUMN "SYS_RES"."RES_NAME" is '资源名称';
COMMENT ON COLUMN "SYS_RES"."RES_TYPE" is '资源类型';
COMMENT ON COLUMN "SYS_RES"."RES_VALUE" is '资源内容';
COMMENT ON COLUMN "SYS_RES"."SUP_CODE" is '上级代码';
COMMENT ON COLUMN "SYS_RES"."SUP_NAME" is '上级名称';
COMMENT ON COLUMN "SYS_RES"."FREE" is '是否免费';
COMMENT ON COLUMN "SYS_RES"."VALID" is '是否有效';
COMMENT ON COLUMN "SYS_RES"."ROW_VERSION" is '行版本';
COMMENT ON COLUMN "SYS_RES"."IS_DELETED" is '是否已删除';
COMMENT ON COLUMN "SYS_RES"."CREATE_BY" is '创建用户';
COMMENT ON COLUMN "SYS_RES"."CREATE_TIME" is '创建时间';
COMMENT ON COLUMN "SYS_RES"."LAST_UPDATE_BY" is '最后更新用户';
COMMENT ON COLUMN "SYS_RES"."LAST_UPDATE_TIME" is '最后更新时间';
