-- ----------------------------
-- Table structure for ROLE_RES - 角色资源关系
-- Target   : Oracle
-- Author   : wangbing
-- Date:    : 2020-06-18
-- ----------------------------
CREATE TABLE "SYS_ROLE_RES" (
    "ID" NUMBER(19) NOT NULL,
    "ROLE_ID" NUMBER(19) NULL,
    "ROLE_CODE" VARCHAR2(50) NULL,
    "RES_ID" NUMBER(19) NULL,
    "RES_CODE" VARCHAR2(50) NULL,
    "ROW_VERSION" NUMBER(19) NOT NULL,
    "IS_DELETED" CHAR(1) NOT NULL,
    "CREATE_BY" NUMBER(19) NOT NULL,
    "CREATE_TIME" DATE NOT NULL,
    "LAST_UPDATE_BY" NUMBER(19) NULL,
    "LAST_UPDATE_TIME" DATE NULL
);

COMMENT ON TABLE "SYS_ROLE_RES" is '角色资源关系';
COMMENT ON COLUMN "SYS_ROLE_RES"."ID" is '主键';
COMMENT ON COLUMN "SYS_ROLE_RES"."ROLE_ID" is '角色主键';
COMMENT ON COLUMN "SYS_ROLE_RES"."ROLE_CODE" is '角色代码';
COMMENT ON COLUMN "SYS_ROLE_RES"."RES_ID" is '资源主键';
COMMENT ON COLUMN "SYS_ROLE_RES"."RES_CODE" is '资源代码';
COMMENT ON COLUMN "SYS_ROLE_RES"."ROW_VERSION" is '行版本';
COMMENT ON COLUMN "SYS_ROLE_RES"."IS_DELETED" is '是否已删除';
COMMENT ON COLUMN "SYS_ROLE_RES"."CREATE_BY" is '创建用户';
COMMENT ON COLUMN "SYS_ROLE_RES"."CREATE_TIME" is '创建时间';
COMMENT ON COLUMN "SYS_ROLE_RES"."LAST_UPDATE_BY" is '最后更新用户';
COMMENT ON COLUMN "SYS_ROLE_RES"."LAST_UPDATE_TIME" is '最后更新时间';
