<div id="app" v-cloak>
    <el-card class="box-card">
        <el-form class="search" :inline="true" :model="vm" ref="vm" label-position="right" label-width="90px">
            <el-form-item label="错误类型" prop="logErrType">
                <el-input-dict v-model="vm.logErrType" clearable size="mini" placeholder="请输入错误类型"
                               dict-name="LOG_ERR_TYPE"></el-input-dict>
            </el-form-item>
            <el-form-item label="错误标题" prop="logTitle">
                <el-input v-model="vm.logTitle" clearable size="mini" placeholder="请输入错误标题"></el-input>
            </el-form-item>
            <el-form-item label="处理结果" prop="logErrResult">
                <el-input-dict v-model="vm.logErrResult" clearable size="mini" placeholder="请输入处理结果"
                               dict-name="LOG_ERR_RESULT"></el-input-dict>
            </el-form-item>
            <el-form-item label="开始日期" prop="startDate">
                <el-date-picker v-model="vm.startDate" clearable size="mini" placeholder="请输入开始日期" type="datetime" value-format="yyyy-MM-dd HH:mm:ss"></el-date-picker>
            </el-form-item>
            <el-form-item label="结束日期" prop="endDate">
                <el-date-picker v-model="vm.endDate" clearable size="mini" placeholder="请输入结束日期" type="datetime" value-format="yyyy-MM-dd HH:mm:ss"></el-date-picker>
            </el-form-item>
            <el-form-item>
                <el-button type="primary" size="mini" icon="el-icon-search" @click="onSearch">搜索</el-button>
                <el-button type="warning" size="mini" icon="el-icon-refresh-left" @click="onReset('vm')">重置</el-button>
            </el-form-item>
        </el-form>
    </el-card>

    <el-card class="box-card">
        <el-row>
            <el-col :span="12">
                <el-button type="success" size="mini" icon="el-icon-check" @click="onBitchSolve">解决</el-button>

                <el-button type="warning" size="mini" icon="el-icon-minus" @click="onBitchShelve">搁置</el-button>
            </el-col>

            <el-col :span="12">
                <el-button-group style="float: right;">
                    <el-tooltip effect="dark" content="解决" placement="bottom">
                        <el-button size="mini" icon="el-icon-check" @click="onBitchSolve"></el-button>
                    </el-tooltip>

                    <el-tooltip effect="dark" content="搁置" placement="bottom">
                        <el-button size="mini" icon="el-icon-minus" @click="onBitchShelve"></el-button>
                    </el-tooltip>

                    <el-tooltip effect="dark" content="刷新" placement="bottom">
                        <el-button size="mini" icon="el-icon-refresh" @click="onFind"></el-button>
                    </el-tooltip>
                </el-button-group>
            </el-col>
        </el-row>

        <el-table
                class="data"
                @selection-change="onSelectionChange"
                empty-text="无数据"
                :stripe="true"
                :data="result"
                size="mini">
            <el-table-column
                    align="center"
                    type="selection"
                    width="45">
            </el-table-column>
            <el-table-column
                    align="center"
                    prop="id"
                    label="主键"
                    width="140">
            </el-table-column>
            <el-table-column
                    align="center"
                    prop="logErrType"
                    width="90"
                    label="错误类型">
                <template slot-scope="scope">
                    <el-view-dict v-model="scope.row.logErrType" dict-name="LOG_ERR_TYPE"></el-view-dict>
                </template>
            </el-table-column>
            <el-table-column
                    align="center"
                    prop="logTitle"
                    width="140"
                    label="错误标题">
            </el-table-column>
            <el-table-column
                    align="center"
                    prop="logNote"
                    label="错误内容">
            </el-table-column>
            <el-table-column
                    align="center"
                    prop="logErrResult"
                    width="80"
                    label="处理结果">
                <template slot-scope="scope">
                    <el-view-dict v-model="scope.row.logErrResult" dict-name="LOG_ERR_RESULT"></el-view-dict>
                </template>
            </el-table-column>
            <el-table-column
                    align="center"
                    prop="createTime"
                    width="140"
                    label="创建时间">
            </el-table-column>
            <el-table-column
                    align="center"
                    fixed="right"
                    width="120"
                    label="操作">
                <template slot-scope="scope">
                    <wb-dropdown :arg="scope.row">
                        <wb-dropdown-item value="解决" icon="el-icon-edit" @click="onSolve"></wb-dropdown-item>
                        <wb-dropdown-item value="搁置" icon="el-icon-edit" @click="onShelve"></wb-dropdown-item>
                        <wb-dropdown-item value="删除" icon="el-icon-delete" @click="onDelete"></wb-dropdown-item>
                    </wb-dropdown>
                </template>
            </el-table-column>
        </el-table>

        <el-pagination
                background
                v-if="vm.totalCount > vm.pageSize"
                style="margin-top: 10px"
                @current-change="onPageChange"
                @size-change="onPageSizeChange"
                :current-page="vm.pageNumber"
                :page-size="vm.pageSize"
                layout="total, sizes, prev, pager, next, jumper"
                :total="vm.totalCount">
        </el-pagination>
    </el-card>
</div>
<script>
    var app = new Vue({
        mixins: [mixin],
        el: "#app",
        data: {
            module: 'system',
            target: 'logErr',
            vm: {//条件及分页参数
                logErrType: "",
                logTitle: "",
                logErrResult: "0",
                logAttr1: "",
                logAttr2: "",
                logAttr3: "",
                startDate: '',
                endDate: '',
                pageNumber: 1,
                pageSize: 10,
                totalCount: 0,
                sortKey: 'CREATE_TIME',
                sortType: 'DESC'
            }
        },
        methods: {
            onSolve: function (item) {
                new Ajax("system", "logErr").update({
                    id: item.id,
                    logErrResult: '1',
                    rowVersion: item.rowVersion
                },function (response) {
                    if (response.errors.length > 0) {
                        nav.e(response.errors[0].message);
                    } else {
                        nav.s("更新成功.");
                        this.onFind();
                    }
                }.bind(this))
            },
            onShelve: function (item) {
                new Ajax("system", "logErr").update({
                    id: item.id,
                    logErrResult: '2',
                    rowVersion: item.rowVersion
                },function (response) {
                    if (response.errors.length > 0) {
                        nav.e(response.errors[0].message);
                    } else {
                        nav.s("更新成功.");
                        this.onFind();
                    }
                }.bind(this))
            },
            onBitchSolve: function () {
                if (this.select.length == 0) {
                    nav.w("至少选中一项!");
                } else {
                    nav.tipShow("批量处理中...");
                    this.select.forAsync(function (item, next) {
                        new Ajax("system", "logErr").update({
                            id: item.id,
                            logErrResult: '1',
                            rowVersion: item.rowVersion
                        }, function (response) {
                            if (response.errors.length > 0) {
                                nav.e(response.errors[0].message);
                            }
                            next();
                        }.bind(this))
                    }, function () {
                        nav.tipClose();
                        nav.s("批量处理完成.")
                        this.onFind();
                    }.bind(this))
                }
            },
            onBitchShelve: function () {
                if (this.select.length == 0) {
                    nav.w("至少选中一项!");
                } else {
                    nav.tipShow("批量处理中...");
                    this.select.forAsync(function (item, next) {
                        new Ajax("system", "logErr").update({
                            id: item.id,
                            logErrResult: '2',
                            rowVersion: item.rowVersion
                        }, function (response) {
                            if (response.errors.length > 0) {
                                nav.e(response.errors[0].message);
                            } else {
                                next();
                            }
                        }.bind(this))
                    }, function () {
                        nav.tipClose();
                        nav.s("批量处理完成.")
                        this.onFind();
                    }.bind(this))
                }
            },
            onDelete: function (item) {
                this.$confirm('将删除该项, 是否继续?', '提示', {
                    confirmButtonText: '确定',
                    cancelButtonText: '取消',
                    type: 'warning'
                }).then(function () {
                    new Ajax("system", "logErr").delete({id: item.id},function (response) {
                        if (response.errors.length > 0) {
                            nav.e(response.errors[0].message);
                        } else {
                            nav.s("删除成功.");
                            this.onFind();
                        }
                    }.bind(this))
                }.bind(this)).catch(function (action) {

                });
            },
        },
        mounted: function () {
            this.onFind();
        }
    })
</script>
